Skip to main content
PUT
/
api
/
startup-challenges
/
{challenge_id}
/
steps
/
reorder
Reorder Steps Endpoint
curl --request PUT \
  --url https://api.example.com/api/startup-challenges/{challenge_id}/steps/reorder \
  --header 'Content-Type: application/json' \
  --data '
{
  "step_ids": [
    "<string>"
  ]
}
'
[
  {
    "challenge_id": "<string>",
    "complexity": "low",
    "created_at": "<string>",
    "id": "<string>",
    "name": "<string>",
    "position": 123,
    "status": "todo",
    "updated_at": "<string>",
    "category": "<string>",
    "description": "<string>",
    "notes": "<string>"
  }
]

Path Parameters

challenge_id
string
required

Body

application/json
step_ids
string[]
required
Minimum array length: 1

Response

Successful Response

challenge_id
string
required
complexity
enum<string>
required
Available options:
low,
medium,
high
created_at
string
required
id
string
required
name
string
required
position
integer
required
status
enum<string>
required
Available options:
todo,
in_progress,
done,
skipped
updated_at
string
required
category
string | null
description
string | null
notes
string | null